MsmSlice.h File Reference
`#include "Slice.h"`
`#include "Term.h"`
`#include "Ideal.h"`

Go to the source code of this file.

## Classes

class | MsmSlice
| Invariant: either the slice is a trivial base case, or removeDoubleLcm returns false. More...

## Functions

void | swap (MsmSlice &a, MsmSlice &b)

## Function Documentation

## swap()

void swap | ( | MsmSlice & | a,
|  | MsmSlice & | b )

inline

Definition at line 101 of file MsmSlice.h.